Subject: Re: [PATCH 0/2] extra: new concept of extra components

From: Felipe Contreras <[email-masked]>
Date: Wed, 16 Jun 2021 15:28:40 -0500

Ævar Arnfjörð Bjarmason wrote:
> 
> On Sun, Jun 13 2021, Felipe Contreras wrote:
> 
> > This patch series introduces the concept of extra components. These are
> > components which are not yet part of the core but are good enough for
> > distributions to ship, and in fact, they already do.
> 
> I like this direction.
> 
> > The measuring stick I'm using to gauge if a component in contrib belongs
> > in extra is simple: are we already running tests for them with
> > 'make test'?
> 
> I have a CI failure in one series of mine that seems to be a lack of
> updating to CMake in contrib/buildsystems, perhaps we should be adding
> that to extra/ too, i.e. extending this to the "make test" run by CI?
> 
> Not something that should hinder or necessarily be included in this
> series, just a note about a related component.

Yeah, but then it would be less clear which components belong in extra.

I suppose if `make test` also runs the test-extra target, then the
my initial definition of extra is still maintained.

> > And we might move some components from the core which aren't realy part
> > of the core to extra, like gitk, git-gui, git-p4, and git-svn.
> 
> I'd also like to see us run the tests for the likes of mw-to-git,
> diff-highlight and subtree by default, at least under CI or some
> "extended tests" mode, even though we may not install them by default.

extra components are not installed by default, you would have to do
install-extra.

Do you think mw-to-git and similar should be installed with
install-extra?

-- 
Felipe Contreras